Bug 1812205 (CVE-2020-6814)

Summary: CVE-2020-6814 Mozilla: Memory safety bugs fixed in Firefox 74 and Firefox ESR 68.6
Product: [Other] Security Response Reporter: msiddiqu
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: cschalle, gecko-bugs-nobody, jhorak, security-response-team, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: firefox 68.6, thunderbird 68.6 Doc Type: If docs needed, set a value
Doc Text:
The Mozilla Foundation Security Advisory describes this flaw as: Mozilla developers and community members reported memory safety bugs present in Firefox 73 and Firefox ESR 68.5. Some of these bugs showed evidence of memory corruption and we presume that with enough effort some of these could have been exploited to run arbitrary code.
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-03-16 10:32:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1809421, 1809422, 1809423, 1809424, 1809425, 1809426, 1813109, 1813110, 1813111, 1813112, 1813113, 1813114    
Bug Blocks: 1809419    

Description msiddiqu 2020-03-10 18:43:49 UTC
Mozilla developers and community members reported memory safety bugs present in Firefox 73 and Firefox ESR 68.5. Some of these bugs showed evidence of memory corruption and we presume that with enough effort some of these could have been exploited to run arbitrary code.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2020-09/#CVE-2020-6814

Comment 1 msiddiqu 2020-03-10 18:43:53 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Byron Campen, Jason Kratzer, Christian Holler

Comment 2 errata-xmlrpc 2020-03-16 09:16:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:0815 https://access.redhat.com/errata/RHSA-2020:0815

Comment 3 errata-xmlrpc 2020-03-16 09:46:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:0816 https://access.redhat.com/errata/RHSA-2020:0816

Comment 4 Product Security DevOps Team 2020-03-16 10:32:12 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-6814

Comment 5 errata-xmlrpc 2020-03-16 10:45:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:0819 https://access.redhat.com/errata/RHSA-2020:0819

Comment 6 errata-xmlrpc 2020-03-16 13:38:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:0820 https://access.redhat.com/errata/RHSA-2020:0820

Comment 7 errata-xmlrpc 2020-03-19 11:49:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:0905 https://access.redhat.com/errata/RHSA-2020:0905

Comment 8 errata-xmlrpc 2020-03-23 08:30:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:0918 https://access.redhat.com/errata/RHSA-2020:0918

Comment 9 errata-xmlrpc 2020-03-23 08:39:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:0919 https://access.redhat.com/errata/RHSA-2020:0919

Comment 10 errata-xmlrpc 2020-03-23 08:48:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:0914 https://access.redhat.com/errata/RHSA-2020:0914